diff --git a/PhysicsTools/BPHNano/plugins/BToTrkLLBuilder.cc b/PhysicsTools/BPHNano/plugins/BToTrkLLBuilder.cc
index 2178c48de419..24c5f325dc47 100644
--- a/PhysicsTools/BPHNano/plugins/BToTrkLLBuilder.cc
+++ b/PhysicsTools/BPHNano/plugins/BToTrkLLBuilder.cc
@@ -32,38 +32,31 @@
 
 class BToTrkLLBuilder : public edm::global::EDProducer<> {
   // perhaps we need better structure here (begin run etc)
- public:
+public:
   typedef std::vector<reco::TransientTrack> TransientTrackCollection;
 
   explicit BToTrkLLBuilder(const edm::ParameterSet &cfg)
       : bFieldToken_{esConsumes<MagneticField, IdealMagneticFieldRecord>()},
         pre_vtx_selection_{cfg.getParameter<std::string>("preVtxSelection")},
         post_vtx_selection_{cfg.getParameter<std::string>("postVtxSelection")},
-        dileptons_{consumes<pat::CompositeCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("dileptons"))},
-        leptons_ttracks_{consumes<TransientTrackCollection>(
-            cfg.getParameter<edm::InputTag>("leptonTransientTracks"))},
-        kaons_{consumes<pat::CompositeCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("kaons"))},
-        kaons_ttracks_{consumes<TransientTrackCollection>(
-            cfg.getParameter<edm::InputTag>("kaonsTransientTracks"))},
+        dileptons_{consumes<pat::CompositeCandidateCollection>(cfg.getParameter<edm::InputTag>("dileptons"))},
+        leptons_ttracks_{consumes<TransientTrackCollection>(cfg.getParameter<edm::InputTag>("leptonTransientTracks"))},
+        kaons_{consumes<pat::CompositeCandidateCollection>(cfg.getParameter<edm::InputTag>("kaons"))},
+        kaons_ttracks_{consumes<TransientTrackCollection>(cfg.getParameter<edm::InputTag>("kaonsTransientTracks"))},
         track_mass_{cfg.getParameter<double>("trackMass")},
-        pu_tracks_(consumes<pat::CompositeCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("PUtracks"))),
-        beamspot_{consumes<reco::BeamSpot>(
-            cfg.getParameter<edm::InputTag>("beamSpot"))},
+        pu_tracks_(consumes<pat::CompositeCandidateCollection>(cfg.getParameter<edm::InputTag>("PUtracks"))),
+        beamspot_{consumes<reco::BeamSpot>(cfg.getParameter<edm::InputTag>("beamSpot"))},
         dilepton_constraint_{cfg.getParameter<bool>("dileptonMassContraint")} {
     produces<pat::CompositeCandidateCollection>();
   }
 
   ~BToTrkLLBuilder() override {}
 
-  void produce(edm::StreamID, edm::Event &,
-               const edm::EventSetup &) const override;
+  void produce(edm::StreamID, edm::Event &, const edm::EventSetup &) const override;
 
   static void fillDescriptions(edm::ConfigurationDescriptions &descriptions) {}
 
- private:
+private:
   const edm::ESGetToken<MagneticField, IdealMagneticFieldRecord> bFieldToken_;
 
   // selections
@@ -81,8 +74,7 @@ class BToTrkLLBuilder : public edm::global::EDProducer<> {
   const bool dilepton_constraint_;
 };
 
-void BToTrkLLBuilder::produce(edm::StreamID, edm::Event &evt,
-                              edm::EventSetup const &iSetup) const {
+void BToTrkLLBuilder::produce(edm::StreamID, edm::Event &evt, edm::EventSetup const &iSetup) const {
   // input
   edm::Handle<pat::CompositeCandidateCollection> dileptons;
   evt.getByToken(dileptons_, dileptons);
@@ -105,14 +97,12 @@ void BToTrkLLBuilder::produce(edm::StreamID, edm::Event &evt,
   AnalyticalImpactPointExtrapolator extrapolator(&bField);
 
   // output
-  std::unique_ptr<pat::CompositeCandidateCollection> ret_val(
-      new pat::CompositeCandidateCollection());
+  std::unique_ptr<pat::CompositeCandidateCollection> ret_val(new pat::CompositeCandidateCollection());
 
   for (size_t k_idx = 0; k_idx < kaons->size(); ++k_idx) {
     edm::Ptr<pat::CompositeCandidate> k_ptr(kaons, k_idx);
 
-    math::PtEtaPhiMLorentzVector k_p4(k_ptr->pt(), k_ptr->eta(), k_ptr->phi(),
-                                      K_MASS);
+    math::PtEtaPhiMLorentzVector k_p4(k_ptr->pt(), k_ptr->eta(), k_ptr->phi(), K_MASS);
 
     for (size_t ll_idx = 0; ll_idx < dileptons->size(); ++ll_idx) {
       edm::Ptr<pat::CompositeCandidate> ll_prt(dileptons, ll_idx);
@@ -139,53 +129,44 @@ void BToTrkLLBuilder::produce(edm::StreamID, edm::Event &evt,
       cand.addUserFloat("min_dr", dr_info.first);
       cand.addUserFloat("max_dr", dr_info.second);
 
-      if (!pre_vtx_selection_(cand)) continue;
+      if (!pre_vtx_selection_(cand))
+        continue;
 
-      KinVtxFitter fitter(
-          {leptons_ttracks->at(l1_idx), leptons_ttracks->at(l2_idx),
-           kaons_ttracks->at(k_idx)},
-          {l1_ptr->mass(), l2_ptr->mass(), K_MASS},
-          {LEP_SIGMA, LEP_SIGMA, K_SIGMA}
-          // some small sigma for the lepton mass
+      KinVtxFitter fitter({leptons_ttracks->at(l1_idx), leptons_ttracks->at(l2_idx), kaons_ttracks->at(k_idx)},
+                          {l1_ptr->mass(), l2_ptr->mass(), K_MASS},
+                          {LEP_SIGMA, LEP_SIGMA, K_SIGMA}  // some small sigma for the lepton mass
       );
 
-      if (!fitter.success()) continue;  // hardcoded, but do we need otherwise?
-      cand.setVertex(reco::Candidate::Point(fitter.fitted_vtx().x(),
-                                            fitter.fitted_vtx().y(),
-                                            fitter.fitted_vtx().z()));
+      if (!fitter.success())
+        continue;  // hardcoded, but do we need otherwise?
+      cand.setVertex(reco::Candidate::Point(fitter.fitted_vtx().x(), fitter.fitted_vtx().y(), fitter.fitted_vtx().z()));
       cand.addUserInt("sv_OK", fitter.success());
       cand.addUserFloat("sv_chi2", fitter.chi2());
       cand.addUserFloat("sv_ndof", fitter.dof());  // float??
       cand.addUserFloat("sv_prob", fitter.prob());
-      cand.addUserFloat("fitted_mll",
-                        (fitter.daughter_p4(0) + fitter.daughter_p4(1)).mass());
+      cand.addUserFloat("fitted_mll", (fitter.daughter_p4(0) + fitter.daughter_p4(1)).mass());
       auto fit_p4 = fitter.fitted_p4();
       cand.addUserFloat("fitted_pt", fit_p4.pt());
       cand.addUserFloat("fitted_eta", fit_p4.eta());
       cand.addUserFloat("fitted_phi", fit_p4.phi());
       cand.addUserFloat("fitted_mass", fitter.fitted_candidate().mass());
-      cand.addUserFloat(
-          "fitted_massErr",
-          sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(
-              6, 6)));
+      cand.addUserFloat("fitted_massErr", sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(6, 6)));
 
-      cand.addUserFloat("cos_theta_2D",
-                        cos_theta_2D(fitter, *beamspot, cand.p4()));
-      cand.addUserFloat("fitted_cos_theta_2D",
-                        cos_theta_2D(fitter, *beamspot, fit_p4));
+      cand.addUserFloat("cos_theta_2D", cos_theta_2D(fitter, *beamspot, cand.p4()));
+      cand.addUserFloat("fitted_cos_theta_2D", cos_theta_2D(fitter, *beamspot, fit_p4));
 
       auto lxy = l_xy(fitter, *beamspot);
       cand.addUserFloat("l_xy", lxy.value());
       cand.addUserFloat("l_xy_unc", lxy.error());
       // track impact parameter from SV
-      TrajectoryStateOnSurface tsos = extrapolator.extrapolate(
-          kaons_ttracks->at(k_idx).impactPointState(), fitter.fitted_vtx());
-      std::pair<bool, Measurement1D> cur2DIP = signedTransverseImpactParameter(
-          tsos, fitter.fitted_refvtx(), *beamspot);
+      TrajectoryStateOnSurface tsos =
+          extrapolator.extrapolate(kaons_ttracks->at(k_idx).impactPointState(), fitter.fitted_vtx());
+      std::pair<bool, Measurement1D> cur2DIP = signedTransverseImpactParameter(tsos, fitter.fitted_refvtx(), *beamspot);
       cand.addUserFloat("k_svip2d", cur2DIP.second.value());
       cand.addUserFloat("k_svip2d_err", cur2DIP.second.error());
 
-      if (!post_vtx_selection_(cand)) continue;
+      if (!post_vtx_selection_(cand))
+        continue;
 
       cand.addUserFloat("vtx_x", cand.vx());
       cand.addUserFloat("vtx_y", cand.vy());
@@ -203,14 +184,11 @@ void BToTrkLLBuilder::produce(edm::StreamID, edm::Event &evt,
       std::vector<std::string> dnames{"l1", "l2", "trk"};
 
       for (size_t idaughter = 0; idaughter < dnames.size(); idaughter++) {
-        cand.addUserFloat("fitted_" + dnames[idaughter] + "_pt",
-                          fitter.daughter_p4(idaughter).pt());
+        cand.addUserFloat("fitted_" + dnames[idaughter] + "_pt", fitter.daughter_p4(idaughter).pt());
 
-        cand.addUserFloat("fitted_" + dnames[idaughter] + "_eta",
-                          fitter.daughter_p4(idaughter).eta());
+        cand.addUserFloat("fitted_" + dnames[idaughter] + "_eta", fitter.daughter_p4(idaughter).eta());
 
-        cand.addUserFloat("fitted_" + dnames[idaughter] + "_phi",
-                          fitter.daughter_p4(idaughter).phi());
+        cand.addUserFloat("fitted_" + dnames[idaughter] + "_phi", fitter.daughter_p4(idaughter).phi());
       }
 
       // compute isolation
@@ -231,38 +209,31 @@ void BToTrkLLBuilder::produce(edm::StreamID, edm::Event &evt,
       const double jpsi_bin[2] = {2.8, 3.35};
       const double psi2s_bin[2] = {3.45, 3.85};
 
-      if (dilepton_constraint_ &&
-          ((dilepton_mass > jpsi_bin[0] && dilepton_mass < jpsi_bin[1]) ||
-           (dilepton_mass > psi2s_bin[0] && dilepton_mass < psi2s_bin[1]))) {
+      if (dilepton_constraint_ && ((dilepton_mass > jpsi_bin[0] && dilepton_mass < jpsi_bin[1]) ||
+                                   (dilepton_mass > psi2s_bin[0] && dilepton_mass < psi2s_bin[1]))) {
         ParticleMass JPsi_mass = 3.0969;   // Jpsi mass 3.096900±0.000006
         ParticleMass Psi2S_mass = 3.6861;  // Psi2S mass 3.6861093±0.0000034
-        ParticleMass mass_constraint =
-            (dilepton_mass < jpsi_bin[1]) ? JPsi_mass : Psi2S_mass;
+        ParticleMass mass_constraint = (dilepton_mass < jpsi_bin[1]) ? JPsi_mass : Psi2S_mass;
 
         // Mass constraint is applied to the first two particles in the
         // "particles" vector Make sure that the first two particles are the
         // ones you want to constrain
         KinVtxFitter constraint_fitter(
-            {leptons_ttracks->at(l1_idx), leptons_ttracks->at(l2_idx),
-             kaons_ttracks->at(k_idx)},
+            {leptons_ttracks->at(l1_idx), leptons_ttracks->at(l2_idx), kaons_ttracks->at(k_idx)},
             {l1_ptr->mass(), l2_ptr->mass(), K_MASS},
-            {LEP_SIGMA, LEP_SIGMA, K_SIGMA}, mass_constraint);
+            {LEP_SIGMA, LEP_SIGMA, K_SIGMA},
+            mass_constraint);
         if (constraint_fitter.success()) {
           auto constraint_p4 = constraint_fitter.fitted_p4();
           cand.addUserFloat("constraint_sv_prob", constraint_fitter.prob());
           cand.addUserFloat("constraint_pt", constraint_p4.pt());
           cand.addUserFloat("constraint_eta", constraint_p4.eta());
           cand.addUserFloat("constraint_phi", constraint_p4.phi());
-          cand.addUserFloat("constraint_mass",
-                            constraint_fitter.fitted_candidate().mass());
+          cand.addUserFloat("constraint_mass", constraint_fitter.fitted_candidate().mass());
           cand.addUserFloat("constraint_massErr",
-                            sqrt(constraint_fitter.fitted_candidate()
-                                     .kinematicParametersError()
-                                     .matrix()(6, 6)));
+                            sqrt(constraint_fitter.fitted_candidate().kinematicParametersError().matrix()(6, 6)));
           cand.addUserFloat("constraint_mll",
-                            (constraint_fitter.daughter_p4(0) +
-                             constraint_fitter.daughter_p4(1))
-                                .mass());
+                            (constraint_fitter.daughter_p4(0) + constraint_fitter.daughter_p4(1)).mass());
         }
       }
 
